/**
 * @file ChangeVT.h
 * @date 2010/04/24 新規作成
 * @author
 *
 * VT変更クラス
 */
#ifndef _CHANGE_VT_H_
#define _CHANGE_VT_H_

#include "Define.h"

/* From <linux/vt.h> */
#define VT_ACTIVATE     0x5606  /* make vt active */
#define VT_WAITACTIVE   0x5607  /* wait for vt active */
#define FBIOBLANK		0x4611		/* arg: 0 or vesa level + 1 */

class ChangeVT{
public :
	ChangeVT();
	int			getFb(int fd, int vt);
	ReturnValue	setFb(int fd, int vt, int fb);
	ReturnValue	change();
	ReturnValue	cleanup();
private :
	int			m_OldFb;
	int			m_VTFd;
	int			m_OldVT;
	int			m_VTNum;
};
#endif //_CHANGE_VT_H_
