/**
 * @file TrimSpace.cpp
 * @date 2010/04/11 新規作成
 * @author
 *
 * 空白除去クラス
 */
#include "TrimSpace.h"

/**
 * コンストラクタ
 */
TrimSpace::TrimSpace(){
}

/**
 * 両端の空白を削除
 * @param string 空白削除前文字列
 * @return 空白削除後文字列
 */
std::string TrimSpace::trimEnds(std::string string){
	int i;
	for(i = 0; (unsigned)i < string.length(); i++){
		if( string.at(i) != ' ' ){
			break;
		}
	}
	string.erase(0, i);
	for(i = string.length() - 1; i > 0; i--){
		if( string.at(i) != ' ' ){
			break;
		}
	}
	string.erase(i + 1);
	return string;
}


