#include <gtkmm.h>
#include "screen.h"

Screen::Screen()
{
    set_decorated(FALSE);
    add_events( Gdk::KEY_PRESS_MASK );
    signal_show().connect( sigc::mem_fun(*this, &Screen::showWindow) );
}

void Screen::showWindow()
{
	get_window()->fullscreen();
}

bool Screen::on_key_press_event( GdkEventKey* event )
{
	if( event->keyval == 0x63 ){
		Gtk::Main::quit();
	}else if( event->keyval == 0x71 ){
		Gtk::Window::iconify();
	}
    return true;
}

