/**
 * @file Test9.cpp
 * @date 2010/08/15 新規作成
 * @author
 *
 * Test9クラス
 */

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <assert.h>
#include <fstream>
#include <iostream>
#include <sstream>
#include <cstdio>
#include "Define.h"
#include "WriteProfile.h"
#include "GetProfile.h"
#include "Test9.h"

/**
 * コンストラクタ
 */
Test9::Test9(){
}

/**
 * test関数
 */
ReturnValue Test9::run()
{
	test1();
	std::cout << "Test9 finished" << std::endl;
	return OK;
}

ReturnValue Test9::test1()
{
	std::stringstream inifile;
	inifile << "9.ini";
	struct stat stat_buffer;
	off_t file_size;
	stat(inifile.str().c_str(), &stat_buffer);
	file_size = stat_buffer.st_size;
	WriteProfile write_profile(inifile.str());
	GetProfile get_profile(inifile.str());
	write_profile.writeInt("display_number", "current", 3);
	assert(get_profile.getInt("display_number", "current") == 3);
	stat(inifile.str().c_str(), &stat_buffer);
	assert(stat_buffer.st_size == file_size);
	write_profile.writeInt("display_number", "current", 6);
	assert(get_profile.getInt("display_number", "current") == 6);
	stat(inifile.str().c_str(), &stat_buffer);
	assert(stat_buffer.st_size == file_size);
	return OK;
}

