/**
 * @file ParseLine.h
 * @date 2010/04/10 新規作成
 * @author
 *
 * ワイド文字列⇔マルチバイト文字列変換クラス
 */
#ifndef _PARSE_LINE_H_
#define _PARSE_LINE_H_

#include <string>

enum IniLine{
	INVALID,
	COMMENT,
	SECTION,
	PARAMETER,
	NULL_LINE,
};

class ParseLine{
public :
	ParseLine();
	IniLine parse(std::string buffer);
private :
	IniLine parseSection(std::string buffer);
	IniLine parseParameter(std::string buffer);
};
#endif //_PARSE_LINE_H_
