#include <gtkmm.h>
#include "screen.h"
#include "model_columns.h"
#include "ChangeVT.h"

class ConnectVnc : public Gtk::Window
{
public:
	Gtk::ComboBox m_Combobox;
	Gtk::VBox m_vbox;
	Gtk::HBox m_hbox;
	Gtk::Button m_Ok;
	Gtk::Button m_Cancel;
	ModelColumns m_ModelColumns;
	Glib::RefPtr<Gtk::ListStore> m_refTreeModel;

	ConnectVnc();
private :
	void clickOK();
	void clickCancel();
	void showCombobox();
	void showWindow();
	void executeCommand(std::string key);
	Screen m_Screen;
	ChangeVT m_ChangeVT;
};
